Bug 113087 - system hangs on firstboot after anaconda completes.
system hangs on firstboot after anaconda completes.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-08 08:06 EST by neil v. patel
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-02 16:43:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description neil v. patel 2004-01-08 08:06:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
See bug 75693. In summary, i've tried installing Fedora Core 1 on a
Celeron, 566Mhz, 96MB RAM, intel i810 graphics. anaconda works fine.
after completion, it prompts for a reboot. after this reboot, the
text-based startup appears to go smoothly, but then the screen goes
blank (the monitor is in standby). this condition persists until you
manually turn the monitor off and on, at which point one can see the
firstboot screen, but cannot interact with the system by either mouse
or keyboard.

i turned the system off manually and rebooted. the next morning, the
fedora core login prompt was available, and the system appeared to
behave normally. having not completed the firstboot process (and,
having not yet figured out that there was one...), i just logged in as
root.

i shut it down and rebooted once more, and the firstboot program had
the same problem as before.

a new fresh install of the system produced the same results.

i initially posted this as an addendum to an existing bug report, as
referenced above, but did not realise i was adding to a Red Hat 8.0
thread. interstingly, the person who reported that bug was also using
the i810 graphics chipset.

i performed an identical instal on a different computer and have no
problems with it.

Version-Release number of selected component (if applicable):
1.2.4-1

How reproducible:
Always

Steps to Reproduce:
1. Install fedora Core 1, choose to delete all existing data on HD.
2. at completion of anaconda install, reboot.
3. wait for screen blank.
    

Actual Results:  computer becomes unresponsive. screen can only be
visualised by power cycling the monitor.

Expected Results:  monitor should wake from standby and present
firstboot process. computer should accept input from user.

Additional info:
Comment 1 Brent Fox 2004-01-08 11:31:24 EST
Can you attache the /var/log/messages file after the problem occurs?
Comment 2 neil v. patel 2004-01-08 11:39:06 EST
unfortunately, no. as i mentioned in my comments on the other bug 
report, i switched to another distribution (mandrake) which did not 
(perhaps obviously) have the same problem. if you look at the thread 
from the other bug report (75693), the previous reporter posted not 
one, but two logs.

i'm new to linux and didn't know how to switch runlevels and so-on a 
week ago, when this happened. i've got that all under control now. if 
absolutely necessary, i'll wipe the computer once more and post logs 
for you, but that will take some time as i'm in a different city now 
for a couple months.

it's worth adding that i didn't see any note that the previous bug 
was resolved, and from my (amateur) analysis of the logs posted in 
that report, it's not a problem with agpgart being unavailable, as is 
widely reported with older kernels, and distributions such as debian 
stable 3.0r2 which use those older kernels, but something else...

thanks for your help. i wish i could provide you more detail.
Comment 3 Brent Fox 2004-02-02 16:43:37 EST
Ok, well, please reopen this bug report if you ever get a
/var/log/messages that may shed some more light on the problem.

Note You need to log in before you can comment on or make changes to this bug.